Skip to main content
GET
/
api
/
v1
/
reports
/
{id}
/
observations
/
Observations
curl --request GET \
  --url https://api.main.apexscore.ai/api/v1/reports/{id}/observations/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.main.apexscore.ai/api/v1/reports/{id}/observations/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.main.apexscore.ai/api/v1/reports/{id}/observations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "dataset": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "configuration": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "result": {
        "state": {
          "status_message": "<string>",
          "observations_data_pending": "<string>",
          "text_analysis_data_pending": "<string>"
        }
      },
      "filterables": [
        {
          "content": "<string>",
          "is_noteworthy": true,
          "has_presentable_calculations": true,
          "largest_apex_delta": 0,
          "options": [
            {
              "display": "<string>",
              "value": "<string>",
              "apex_score": 0,
              "content": "<string>",
              "sample_size": -1,
              "option_display_order": 1073741824
            }
          ],
          "name": "<string>"
        }
      ],
      "is_primary": true,
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this report.

Query Parameters

configuration_id
string<uuid>

Optional configuration id to retrieve. If not provided, the primary configuration will be used.

Response

200 - application/json
id
string<uuid>
required
read-only
name
string
required
Maximum string length: 255
dataset
object
required